#pragma once

#include "style.h"
#include "cstr.h"

class AudioCreateSymbols
{
public:
	AudioCreateSymbols();
	~AudioCreateSymbols();

	void Execute();

private:
	static void MakeFileReadWrite(const CString &file_name);

protected:
	virtual void WriteEntryStream(std::ofstream &symbol_file);
};
